Wc = 40000; Ws = 56000; % Requirement for the lowpass filter
Amax = 0.28029; Amin = 40;
tmax = 10^-3;
N = 18;
[G, Z, P] = BW_POLES(Wc, Ws, Amax, Amin, N);
t_axis = [0:0.01*tmax:tmax];
[h, dirac0, t_axis] = PZ_2_IMPULSE_RESPONSE_S(G, Z, P, t_axis);
[s_of_t, t_axis] = PZ_2_STEP_RESPONSE_S(G, Z, P, t_axis);
h_scale = 5*10^-5; ymin = -0.4; ymax = 1.3;
PLOT_h_s_S(h, h_scale, s_of_t, t_axis, tmax, ymin, ymax)
