Amax = 0.5; % POLE_PLACER_LP_EQ_S
Wc = 1;
Amin = [75 55]; % Amin?75 dB from 2 and 55 dB above 2.5 rad/s
Wstep = [2 2.5]; % Break frequencies
Wfi = [2.5 4]; % Initial guess of finite zeros j2.5 and j4 rad/s
NIN = 1; % Number of zeros at infinity, N?2Nfi + NIN
% Hence, a 5th-order LP filter with equiripple passband
[G, Z, Zref, P, dopt] = POLE_PLACER_LP_EQ_S(Amax, Wc, Amin, Wstep, Wfi, NIN)
W = (0:1000)*4*pi/1000;
H = PZ_2_FREQ_S(G, Z, P, W);
Att = MAG_2_ATT(H);
axis([0 8 0 100]), subplot('position', [0.1 0.4 0.88 0.5]);
PLOT_ATTENUATION_S(W, Att)
